Subject: bug#74220: invisible cursor

From: Eli Zaretskii <[email-masked]>
Date: Thu, 28 Nov 2024 22:20:28 +0200

> Date: Thu, 28 Nov 2024 10:21:53 -0800
> From: Jared Finder <[email-masked]>
> Cc: "Jared Finder via \"Bug reports for GNU Emacs, the Swiss army knife of
>  text editors\"" <[email-masked]>, Robert Pluim <[email-masked]>,
>  Gerd Möllmann <[email-masked]>, Eli Zaretskii
>  <[email-masked]>, 74220 <[email-masked]>, Avraham Pinkas
>  <[email-masked]>
> 
> This was an intentional change to Linux 6.7 to avoid a potential 
> privilege escalation. Specifically, apps without the capability 
> CAP_SYS_ADMIN are no longer able to set the kernel selection buffer. 
> Across Emacs versions, granting the Emacs binary the CAP_SYS_ADMIN 
> capability (sudo setcap cap_sys_admin+ep path/to/emacs) fixes the issue.

Sorry, I don't follow: what does setting the kernel selection buffer
have to do with showing the cursor?  And how is it related to GPM?
What am I missing here?

> But is this the right fix? CAP_SYS_ADMIN grants many dangerous 
> capabilities on Linux. An alternative fix would be to update redisplay 
> on terminals to draw the mouse cursor. Perhaps this is what is done on 
> other OSes? I would like guidance here on which path is recommended.

Let's first understand the problem better.

(And I'm guessing that by "cursor" you mean "mouse pointer"?)